%define upstream_name	 Net-DNS
%define upstream_version 0.72

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl interface to the DNS resolver
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::HMAC_MD5) >= 1.0.0
BuildRequires: perl(Digest::MD5) >= 2.120.0
BuildRequires: perl(Digest::SHA) >= 5.230.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Socket)
BuildRequires: perl(MIME::Base64) >= 2.110.0
BuildRequires: perl(Test::More) >= 0.180.0
BuildRequires: perl-devel
%description
Net::DNS is a collection of Perl modules that act as a Domain Name System (DNS)
resolver. It allows the programmer to perform DNS queries that are beyond the
capabilities of gethostbyname and gethostbyaddr.

The programmer should be somewhat familiar with the format of a DNS packet and
its various sections. See RFC 1035 or DNS and BIND (Albitz & Liu) for details.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor < /dev/null
%make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README TODO demo
%{_mandir}/*/*
%{perl_vendorarch}/auto/Net
%{perl_vendorarch}/Net

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.720.0-2.mga3
+ Revision: 370533
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.720.0-1.mga3
+ Revision: 342438
- update to 0.72

* Wed May 30 2012 jquelin <jquelin> 0.680.0-2.mga3
+ Revision: 250985
- rebuild for perl 5.16

* Thu Feb 23 2012 jquelin <jquelin> 0.680.0-1.mga2
+ Revision: 213106
- update to 0.68

* Mon Nov 07 2011 kharec <kharec> 0.670.0-1.mga2
+ Revision: 165004
- update to 0.67

* Sun Jun 12 2011 sander85 <sander85> 0.660.0-4.mga2
+ Revision: 104835
- Rebuild for perl 5.14

* Thu Jan 13 2011 jquelin <jquelin> 0.660.0-3.mga1
+ Revision: 13333
- imported package perl-Net-DNS

